Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## PER.rover
Class Filter

    java.lang.Object
      javax.swing.filechooser.FileFilter
          PER.rover.Filter

public class Filter
extends javax.swing.filechooser.FileFilter

Filter is used to specify the type of FileFilter for a JFileChooser.

Field Summary
`static int` | `CALIBRATION_FILTER` Filter for cal files.
`static int` | `IMAGE_FILTER` Filter for gif, jpg, jpeg, tif, tiff, or png files.
`static int` | `JPG_FILTER` Filter for jpg or jpeg files.
`static int` | `SCAN_FILTER` Filter for scan files.
`static int` | `TEXT_FILTER` Filter for txt files.

Constructor Summary
`Filter(int type)` Creates of new filter of type `type`.

Method Summary
`boolean` | `accept(java.io.File f)` Accepts all directories, and accepts files based on the filter type.
`java.lang.String` | `getDescription()` Returns the description of this filter.
`static java.lang.String` | `getExtension(java.io.File f)` Gets the extension of a file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMAGE_FILTER

    public static final int IMAGE_FILTER

  Filter for gif, jpg, jpeg, tif, tiff, or png files.

  See Also:
    Constant Field Values

### TEXT_FILTER

    public static final int TEXT_FILTER

  Filter for txt files.

  See Also:
    Constant Field Values

### CALIBRATION_FILTER

    public static final int CALIBRATION_FILTER

  Filter for cal files.

  See Also:
    Constant Field Values

### SCAN_FILTER

    public static final int SCAN_FILTER

  Filter for scan files.

  See Also:
    Constant Field Values

### JPG_FILTER

    public static final int JPG_FILTER

  Filter for jpg or jpeg files.

  See Also:
    Constant Field Values

Constructor Detail

### Filter

    public Filter(int type)

  Creates of new filter of type `type`.

Method Detail

### accept

    public boolean accept(java.io.File f)

  Accepts all directories, and accepts files based on the filter type.

### getDescription

    public java.lang.String getDescription()

  Returns the description of this filter.

### getExtension

    public static java.lang.String getExtension(java.io.File f)

  Gets the extension of a file.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD